"""
Copyright (C) 2007 Lincoln de Sousa <lincoln@archlinux-br.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
"""
from django.conf.urls.defaults import *
from django.conf import settings
from conteudo import views as conteudo_views
import views
import os

urlpatterns = patterns('',
    (r'^noticias/(\d+)/$', conteudo_views.noticia),
    (r'^secao/(\d+)/$', conteudo_views.secao),
    (r'^admin/', include('django.contrib.admin.urls')),
    (r'^logout/', 'django.contrib.auth.views.logout',
        {'next_page': '/'}),

    (r'^inscricao/', views.inscricao),
    (r'^inscricao_individual/', views.inscricao_individual),
    (r'^inscricao_caravana/', views.inscricao_caravana),
    (r'^boleto/', views.inscricao_boleto),

    (r'^submeter_trabalho/', views.submeter_trabalho),
    (r'^cadastro_palestrante/', views.cadastro_palestrante),
    (r'^meus_trabalhos/', views.meus_trabalhos),
    (r'^trabalhos/(?P<codigo>\d+)', views.editar_trabalho),
    (r'^meus_dados/', views.meus_dados),
    (r'^chamada_trabalhos/', views.chamada_trabalhos),
    (r'^avaliacao/', views.avaliacao),

    (r'^site_media/(.*)$', 'django.views.static.serve',
     {'document_root': os.path.join(settings.LOCAL_INSTANCE, 'media')}),
    (r'^$', views.index),
)
